The bug tracker for setuptools 0.7 or higher is on BitBucket

 

Issue10

Title [PATCH] Immediately close all file handles
Priority feature Status chatting
Superseder Nosy List gnjmotorsport
Assigned To Keywords

Created on 2008-05-09.22:13:48 by pjenvey, last changed 2017-03-11.14:07:35 by gnjmotorsport.

Files
File name Uploaded Type Edit Remove
close_fp-r60849.diff pjenvey, 2008-05-09.22:13:47 text/plain
Messages
msg785 (view) Author: gnjmotorsport Date: 2017-03-11.14:07:34
Agreed, tested on http://www.gnjmotorsport.com/search-by-car/audi/a3/ with success. Issue can now be closed
msg643 (view) Author: vak Date: 2011-10-08.19:07:52
There are still about 10 places where file is not explicitly closed and FD release is dependent on GC model. Is a patch from me welcome?
msg642 (view) Author: vak Date: 2011-10-08.15:37:18
I fail to install Twisted under PyPy, because am getting "too many open files" error. They are obviously not closed
msg12 (view) Author: pjenvey Date: 2008-05-09.22:13:46
I'm being pessimistic here and ensuring setuptools closes all files immediately 
when done with them, in particular for Python VMs that don't use reference 
counting GC.

Those VMs may not GC/close those files until later, and open file handles are 
particularly bad on Windows (you can't delete a file that's in use).

This is of low priority
History
Date User Action Args
2017-03-11 14:07:35gnjmotorsportsetpriority: wish -> feature
nosy: + gnjmotorsport, - pjenvey, vak
messages: + msg785
2011-10-08 19:07:52vaksetmessages: + msg643
2011-10-08 15:37:19vaksetstatus: unread -> chatting
nosy: + vak
messages: + msg642
2008-05-09 22:13:48pjenveycreate